Noitom Hi5 Unity SDK: HI5.HI5_Manager Class Reference

| Noitom Hi5 Unity SDK Hi5_Unity_SDK_API_1_0_0_655_17 The SDK for Using Noitom Hi5 Glove in Unity Engine.

Static Public Member Functions | Static Public Attributes | Properties | List of all members
HI5.HI5_Manager Class Reference

Manage the basic functions of HI5. More...

## Static Public Member Functions

static void | Connect ()
| Connect the Hi5 device. More...
static void | DisConnect ()
| Disconnect the Hi5 device. More...
static HI5_GloveStatus | GetGloveStatus ()
| Get the instance of HI5_GloveStatus class. More...
static HI5_Source | GetHI5Source ()
| Get the instance of HI5_Source class. More...
static bool | IsDongleAvailable ()
| Check whether the HI5 dongle is available. More...
static void | EnableLeftVibration (int time)
| Control the vibration on left glove. More...
static void | EnableRightVibration (int time)
| Control the vibration on right glove. More...
static void | EnableBothGlovesVibration (int leftTime, int rightTime)
| Control the vibration on both gloves. More...
static void | Update ()

## Static Public Attributes

static bool | modifyThreadSave = true

## Properties

static bool | IsConnected`[get]`
| Get whether the Hi5 dongle is connected. More...
static Vector3 | LeftOffset`[get]`
| Get the left glove position offset related to binded optical device. More...
static Vector3 | RightOffset`[get]`
| Get the right glove position offset related to binded optical device. More...

## Detailed Description

Manage the basic functions of HI5.

## Member Function Documentation

## ◆ Connect()

static void HI5.HI5_Manager.Connect | ( |  | ) |

static

Connect the Hi5 device.

## ◆ DisConnect()

static void HI5.HI5_Manager.DisConnect | ( |  | ) |

static

Disconnect the Hi5 device.

## ◆ EnableBothGlovesVibration()

static void HI5.HI5_Manager.EnableBothGlovesVibration | ( | int | leftTime,
|  | int | rightTime
| ) |  |

static

Control the vibration on both gloves.

Parameters

  leftTime | Input the vibration time by milliseconds on left glove.
  rightTime | Input the vibration time by milliseconds on right glove.

## ◆ EnableLeftVibration()

static void HI5.HI5_Manager.EnableLeftVibration | ( | int | time | ) |

static

Control the vibration on left glove.

Parameters

  time | Input the vibration time by milliseconds.

## ◆ EnableRightVibration()

static void HI5.HI5_Manager.EnableRightVibration | ( | int | time | ) |

static

Control the vibration on right glove.

Parameters

  time | Input the vibration time by milliseconds.

## ◆ GetGloveStatus()

static HI5_GloveStatus HI5.HI5_Manager.GetGloveStatus | ( |  | ) |

static

Get the instance of HI5_GloveStatus class.

Returns
  HI5_GloveStatus class instance

## ◆ GetHI5Source()

static HI5_Source HI5.HI5_Manager.GetHI5Source | ( |  | ) |

static

Get the instance of HI5_Source class.

Returns
  HI5_Source class instance

## ◆ IsDongleAvailable()

static bool HI5.HI5_Manager.IsDongleAvailable | ( |  | ) |

static

Check whether the HI5 dongle is available.

Returns
  True, the HI5 dongle is available. False, the HI5 dongle is inavailable.

## Property Documentation

## ◆ IsConnected

bool HI5.HI5_Manager.IsConnected

staticget

Get whether the Hi5 dongle is connected.

## ◆ LeftOffset

Vector3 HI5.HI5_Manager.LeftOffset

staticget

Get the left glove position offset related to binded optical device.

## ◆ RightOffset

Vector3 HI5.HI5_Manager.RightOffset

staticget

Get the right glove position offset related to binded optical device.